Menu items
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
menuItemIdstringObrigatório
ID do item de menu
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
typestring · enumOpcionalValores possíveis:
form_idstringOpcional
table_idstringOpcional
activebooleanOpcional
subtitlestringOpcional
launcher_typestring · enumOpcionalValores possíveis:
banner_idstringOpcional
icon_typestringOpcional
orderinteger · int32Opcional
404
Menu Item was not found
application/json
500
An internal server error was thrown
application/json
get/menu-items/{menuItemId}
GET /api/b2b/menu-items/{menuItemId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"title": "text",
"name": "text",
"profile": "SELLER",
"type": "LAUNCHER",
"form_id": "text",
"table_id": "text",
"active": true,
"subtitle": "text",
"launcher_type": "FINANCIAL_PARTNER",
"banner_id": "text",
"icon_type": "text",
"order": 1
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
menuItemIdstringObrigatório
ID do item de menu
Corpo
titlestringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
typestring · enumOpcionalValores possíveis:
form_idstringOpcional
table_idstringOpcional
activebooleanOpcional
subtitlestringOpcional
launcher_typestring · enumOpcionalValores possíveis:
banner_idstringOpcional
icon_typestring · enumOpcionalValores possíveis:
orderinteger · int32Opcional
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
typestring · enumOpcionalValores possíveis:
form_idstringOpcional
table_idstringOpcional
activebooleanOpcional
subtitlestringOpcional
launcher_typestring · enumOpcionalValores possíveis:
banner_idstringOpcional
icon_typestringOpcional
orderinteger · int32Opcional
404
Menu Item was not found
application/json
500
An internal server error was thrown
application/json
put/menu-items/{menuItemId}
PUT /api/b2b/menu-items/{menuItemId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 223
{
"title": "text",
"name": "text",
"profile": "SELLER",
"type": "LAUNCHER",
"form_id": "text",
"table_id": "text",
"active": true,
"subtitle": "text",
"launcher_type": "FINANCIAL_PARTNER",
"banner_id": "text",
"icon_type": "CHECKLIST",
"order": 1
}{
"id": "text",
"title": "text",
"name": "text",
"profile": "SELLER",
"type": "LAUNCHER",
"form_id": "text",
"table_id": "text",
"active": true,
"subtitle": "text",
"launcher_type": "FINANCIAL_PARTNER",
"banner_id": "text",
"icon_type": "text",
"order": 1
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
menuItemIdstringObrigatório
ID do item de menu
Respostas
204
Menu Item deleted successfully
Sem conteúdo
404
Menu Item was not found
500
An internal server error was thrown
delete/menu-items/{menuItemId}
DELETE /api/b2b/menu-items/{menuItemId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Sem conteúdo
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
titlestringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
typestring · enumOpcionalValores possíveis:
form_idstringOpcional
table_idstringOpcional
activebooleanOpcional
subtitlestringOpcional
launcherTypestring · enumOpcionalValores possíveis:
banner_idstringOpcional
icon_typestring · enumOpcionalValores possíveis:
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
typestring · enumOpcionalValores possíveis:
form_idstringOpcional
table_idstringOpcional
activebooleanOpcional
subtitlestringOpcional
launcher_typestring · enumOpcionalValores possíveis:
banner_idstringOpcional
icon_typestringOpcional
orderinteger · int32Opcional
404
Menu Item was not found
application/json
500
An internal server error was thrown
application/json
post/menu-items
POST /api/b2b/menu-items HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 212
{
"title": "text",
"name": "text",
"profile": "SELLER",
"type": "LAUNCHER",
"form_id": "text",
"table_id": "text",
"active": true,
"subtitle": "text",
"launcherType": "FINANCIAL_PARTNER",
"banner_id": "text",
"icon_type": "CHECKLIST"
}{
"id": "text",
"title": "text",
"name": "text",
"profile": "SELLER",
"type": "LAUNCHER",
"form_id": "text",
"table_id": "text",
"active": true,
"subtitle": "text",
"launcher_type": "FINANCIAL_PARTNER",
"banner_id": "text",
"icon_type": "text",
"order": 1
}